Subject: bug#19564: 24.4; eieio backward compatibility

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 13 Jan 2015 15:50:48 +0100

Ted Zlatanov <[email-masked]> writes:

> On Tue, 13 Jan 2015 13:36:20 +0100 Thierry Volpiatto <[email-masked]> wrote: 
>
> TV> There is also a problem now with compiled files, emacs-24.4 compiled
> TV> files are not compatibles with emacs-25 compiled files and vice-versa.
>
> Forgive my ignorance: is that compatibility guaranteed or beneficial?

No, but that's mean that now with these recent changes all people using
helm will have errors in their helm packages when switching
emacs-version until they reinstall all;
And for sure they will not reinstall and I expect tons of bugreport in next
weeks... (I crossfingers hoping I am wrong)
 
-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997